package com.qxgmat.dto.response;

import com.alibaba.fastjson.JSONObject;
import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.User;

import java.util.Date;

@Dto(entity = User.class)
public class UserPrepareDetailDto {
    /**
     * 备考：身份
     */
    private String prepareStatus;

    /**
     * 备考：目标分数
     */
    private Integer prepareGoal;

    /**
     * 备考：考试时间
     */
    private String prepareExaminationTime;

    /**
     * 备考：出分时间
     */
    private Date prepareScoreTime;

    /**
     * 总的统计信息：{status: [], goal: [], examinationTime: [], scoreTime: []}
     */
    private JSONObject stat;


    public String getPrepareStatus() {
        return prepareStatus;
    }

    public void setPrepareStatus(String prepareStatus) {
        this.prepareStatus = prepareStatus;
    }

    public Integer getPrepareGoal() {
        return prepareGoal;
    }

    public void setPrepareGoal(Integer prepareGoal) {
        this.prepareGoal = prepareGoal;
    }

    public Date getPrepareScoreTime() {
        return prepareScoreTime;
    }

    public void setPrepareScoreTime(Date prepareScoreTime) {
        this.prepareScoreTime = prepareScoreTime;
    }

    public String getPrepareExaminationTime() {
        return prepareExaminationTime;
    }

    public void setPrepareExaminationTime(String prepareExaminationTime) {
        this.prepareExaminationTime = prepareExaminationTime;
    }

    public JSONObject getStat() {
        return stat;
    }

    public void setStat(JSONObject stat) {
        this.stat = stat;
    }
}
